%define pkg_name        String-Escape
%define pkg_version     2002.001
%define rpm_pkg_version 2002.001
%define rpm_pkg_release 3.n0i.7

Summary:       Registry of string functions, including backslash escapes
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/E/EV/EVO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module provides a flexible calling interface to some frequently-performed
string conversion functions, including applying and removing C/Unix-style
backslash escapes like \n and \t, wrapping and removing double-quotes, and
truncating to fit within a desired length.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2002.001-3.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer 1.1
- rebuild on perl 5.8.8

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 2002.001-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:2002.001-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:2002.001-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:2002.001-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:2002.001-0.n0i.2
- version 2002.001
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Mon Jun 30 2003 Marius FERARU <altblue@n0i.net> 2002.001-0.n0i
- Initial build.
